KEACTRL(8)

NAME
keactrl - Shell script for managing Kea

SYNOPSIS

keactrl [command] [-c keactrl-config-file] [-s server[,server,...]]

DESCRIPTION

keactrl is a shell script which controls the startup, shutdown and reconfiguration of the Kea servers (kea-dhcp4, kea-dhcp6 and kea-dhcp-ddns). It also provides the means for checking the current status of the servers and determining the configuration files in use.

CONFIGURATION FILE

Depending on requirements, not all of the available servers need be run. The keactrl configuration file sets which servers are enabled and which are disabled. By default the configuration file is [kea-install-dir]/etc/kea/keactrl.conf.

See the Kea Administrator's Guide for the documentation of the parameters in the keactrl configuration file.

OPTIONS

command
    Command to be issued to the servers. It can be one of the following:

    start
        Start the servers.

    stop
        Stop the servers.

    reload
        Instructs the servers to re-read the kea configuration file.

    status
        Print the status of the servers.

-c|--ctrl-config keactrl-config-file
    Specify the keactrl configuration file. Without this switch, the keactrl will attempt to use the file [kea-install-dir]/etc/kea/keactrl.conf.

-s|--server server[,server,...]
    Specifies a subset of the enabled servers to which the command should be issued. The list of servers should be separated by commas with no intervening spaces. Acceptable values are:

    dhcp4
        DHCPv4 server (kea-dhcp4).

    dhcp6
        DHCPv6 server (kea-dhcp6).

    dhcp_ddns
        DHCP DDNS server (kea-dhcp-ddns).

    all
        All servers (default).

SEE ALSO

kea-dhcp4(8) kea-dhcp6(8) kea-dhcp-ddns(8)

COPYRIGHT
Copyright © 2014 Internet Systems Consortium, Inc. ("ISC")